package cn.reghao.tnb.content.app.vod.service;

import cn.reghao.jutil.jdk.web.db.PageList;
import cn.reghao.tnb.content.api.dto.VideoRegion;
import cn.reghao.tnb.content.app.vod.model.dto.CategoryAdd;
import cn.reghao.tnb.content.app.vod.model.po.PostCategory;
import cn.reghao.tnb.content.app.vod.model.po.VideoPost;
import cn.reghao.tnb.content.app.vod.model.query.VideoQuery;

import java.util.*;

/**
 * @author reghao
 * @date 2023-11-20 21:35:21
 */
public interface CategoryService {
    List<VideoRegion> getCategories(boolean vip);
    PostCategory getVideoCategory(int id);
    void addVideoCategory(CategoryAdd categoryAdd);
    void setVideoCategoryPost(VideoPost videoPost);
    PageList<String> getVideoIdsByCategory(VideoQuery videoQuery, int pageNumber, int pageSize);
}
